Loading...
Searching...
No Matches
gtsam::DeltaImpl Struct Reference

## Static Public Member Functions

static size_t | UpdateGaussNewtonDelta (const ISAM2::Roots &roots, const KeySet &replacedKeys, double wildfireThreshold, VectorValues *delta)
| Update the Newton's method step point, using wildfire.
static size_t | UpdateRgProd (const ISAM2::Roots &roots, const KeySet &replacedKeys, const VectorValues &gradAtZero, VectorValues *RgProd)
| Update the RgProd (R*g) incrementally taking into account which variables have been recalculated in `replacedKeys`.
static VectorValues | ComputeGradientSearch (const VectorValues &gradAtZero, const VectorValues &RgProd)
| Compute the gradient-search point.

## Classes

struct | PartialSolveResult
struct | ReorderingMode

## Member Function Documentation

## ComputeGradientSearch()

VectorValues gtsam::DeltaImpl::ComputeGradientSearch | ( | const VectorValues & | gradAtZero,
|  | const VectorValues & | RgProd )

static

Compute the gradient-search point.

Only used in Dogleg.

## UpdateRgProd()

size_t gtsam::DeltaImpl::UpdateRgProd | ( | const ISAM2::Roots & | roots,
|  | const KeySet & | replacedKeys,
|  | const VectorValues & | gradAtZero,
|  | VectorValues * | RgProd )

static

Update the RgProd (R*g) incrementally taking into account which variables have been recalculated in `replacedKeys`.

Only used in Dogleg.

The documentation for this struct was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/ISAM2-impl.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/ISAM2-impl.cpp